"sdamslope" <- 
# the steepest slope of a dam side computed from deflecting 
# angle with respect to the direction of steepest decent 
# in a sloping coordinate system aligned with the terrain (phi), 
# the slope of the terrain (psi), and the angle of the dam side with 
# respect to the sloping terrain in the direction normal to the dam axis
function(phi,psi,alfa) {
if (any(phi<0) || any(phi>pi/2)) 
   stop("phi cannot be outside the range [0,pi/2]")
if (any(psi<0) || any(psi>pi/2)) 
   stop("psi cannot be outside the range [0,pi/2]")
if (any(alfa<0) || any(alfa>pi/2)) 
   stop("alfa cannot be outside the range [0,pi/2]")
asin(sqrt((cos(phi)*sin(psi))^2 + (cos(psi)*sin(alfa)-sin(phi)*sin(psi)*cos(alfa))^2))
}
