\name{vdamheightngi}
\alias{vdamheightngi}

\title{Vertical dam height with an alterative formula}
\description{Computes vertical dam height from dam height normal to the terrain, deflecting angle, slope of the terrain, and the angle of the dam side with respect to the terrain.
}

\usage{ 
vdamheightngi(phi,psi,alfa,h)
}

\arguments{
\item{phi}{deflecting angle with respect to the direction of steepest decent in a sloping coordinate system aligned with the terrain.}
\item{psi}{the slope of the terrain.}
\item{alfa}{the angle of the dam side with respect to the sloping terrain in the direction normal to the dam axis in a plane normal to the upstream terrain.}
\item{h}{dam height normal to the terrain.}
}

\value{\code{vdamheightngi} returns a vector of vertical dam heights
with the same number of elements as \code{phi}, \code{psi}, 
\code{alfa} or \code{h}.
}
\author{Tomas Johannesson}

\examples{
\dontrun{
vdamheightngi(25*pi/180,10*pi/180,40*pi/180,15)
}
}

\note{The vertical dam height is measured in a vertical cross section normal 
to the dam or obstacle axis in the map plane.

The angles \code{phi}, \code{psi} and \code{alfa} are given in radians.

This function is equivalent to the function \code{\link{vdamheight}}
but uses a different mathematical expression (from NGI reports) 
to compute the vertical damheight. It is only defined for validation purposes.
}

\seealso{\code{\link{vdamheight}}.}

\keyword{internal}
